cURL
curl --request GET \ --url https://api.exa.ai/websets/v0/monitors/{monitor}/runs \ --header 'x-api-key: <api-key>'
{ "data": [ { "id": "<string>", "object": "monitor_run", "status": "created", "monitorId": "<string>", "type": "search", "completedAt": "2023-11-07T05:31:56Z", "failedAt": "2023-11-07T05:31:56Z", "failedReason": "<string>", "canceledAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "hasMore": true, "nextCursor": "<string>" }
Lists all runs for the Monitor.
Your Exa API key
The id of the Monitor to list runs for
List of monitor runs
The list of monitor runs
Show child attributes
The unique identifier for the Monitor Run
The type of object
monitor_run
The status of the Monitor Run
created
running
completed
canceled
failed
The monitor that the run is associated with
The type of the Monitor Run
search
refresh
When the run completed
When the run failed
The reason the run failed
When the run was canceled
When the run was created
When the run was last updated
Whether there are more results to paginate through
The cursor to paginate through the next set of results